using System;
using System.Globalization;
using System.Resources;
using System.Threading;
using System.Web.UI;
/****************************************************************************************************************************
* Project Name    : TimeCheck                                        Started Date  : 12-Aug-2007
* Module          : Shift Allocation                                 Last Modified : 14-Aug-2007
* Programmer      : senthil
* Current Storage : \\Angler56\Projects\Inprogress\SCREEN1206\code\Time_AttendanceApp
* BackUp          :
****************************************************************************************************************************/
public partial class Transactions_TA_UI_Transaction_ShiftAllocation : Base.BasePage
{
    ResourceManager rm;
    cls_Common objcommon = new cls_Common();
    protected override void Page_Load(object sender, EventArgs e)
    {
        base.Page_Load(sender, e);
        if (!Page.IsPostBack)
        {
            base.CheckPages(28);
            objcommon.menu("ShiftTransaction", "28");
        }
        CultureInfo ci;
        string source_Language;
        source_Language = Convert.ToString(Session["Session_ActiveLanguage"]);
        rm = new ResourceManager(source_Language, System.Reflection.Assembly.Load("App_GlobalResources"));
        ci = Thread.CurrentThread.CurrentCulture;
        site.SiteMapProvider = Convert.ToString(Session["SiteMapProvider"]);
        LoadStrings(ci);
        if (Convert.ToString(Session["Demo"]) != string.Empty)
        {
            if (Convert.ToString(Session["Demo"]) == "Express")
            {
                TerminalMaster.Visible = false;
            }
        }
        Session["ShiftAllocaData"] = null;
    }
    private void LoadStrings(CultureInfo ci)
    {
        lbl_HeaderTerminal.Text = rm.GetString("Menu_Transactions_ShiftAllocation", ci);
        lbl_TerminalDataType.Text = "&nbsp;&nbsp;" + rm.GetString("Shift_Allocation_Add", ci);
        lbl_TerminalMaster.Text = "&nbsp;&nbsp;" + rm.GetString("UserGroups_ShiftAllocationDelete", ci);
    }
}
